Subject: Info reader and newlines in dir file

From: [email-masked]
Date: Thu, 16 Oct 2008 16:38:45 -0500

I built and installed the MySQL Info manual.  The manual would show up
in the dir node when I invoked `info' from the command line but was
nowhere to be found when I invoked `info' within Emacs.  I tracked
this down to the fact that the MySQL entry in the Info dir node was
the last one and that there was no newline after it.  Inserted a
newline allowed Emacs to "see" the manual and load it up properly
inside Info running in Emacs.  This might be purposeful design, but it
feels like a bug to me: Emacs Info should behave like the command-line
info and not any different.

In GNU Emacs 22.1.1 (i486-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2008-05-02 on terranova, modified by Ubuntu
Windowing system distributor `The X.Org Foundation', version 11.0.10300000
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs22:/etc/emacs:/usr/local/share/emacs/22.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/22.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/22.1/leim' '--with-x=yes' '--with-x-toolkit=athena' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8
  default-enable-multibyte-characters: t

Major mode: Help

Minor modes in effect:
  display-time-mode: t
  show-paren-mode: t
  punch-clock-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  view-mode: t

Recent input:
r y SPC f o r SPC M y S Q L SPC w a s SPC t h e SPC 
l s a <backspace> <backspace> a s t SPC o n e SPC i 
n SPC t h e SPC = - d <backspace> <backspace> d i r 
= SPC f i l e SPC a n d SPC t h a t SPC n o SPC n e 
w l i n e SPC f o l l o w e d SPC i t . SPC SPC A d 
d i n g SPC a SPC n e w l i n e SPC a l l o w e d SPC 
E m a <M-backspace> <M-backspace> m a k e s SPC E m 
a c s SPC n o w SPC r e c o g n i z e SPC i <backspace> 
a n d SPC r e a d SPC i t SPC i n t o SPC I n f o SPC 
i n s i d e SPC o f SPC E m a c s . SPC SPC W h a t 
SPC a SPC s t u p i d SPC b u g . M-q C-x C-s M-x s 
e n d SPC <tab> <s-backspace> C-h a b u g SPC r e p 
o r t <return> C-x o C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n <return> C-x o 
C-x 1 M-x r e p o r t SPC e m a c s SPC m <backspace> 
b u g <return> I n f o M-x r e C-g M-x r e p o r t 
SPC e m a c s SPC b u g <return>

Recent messages:
Quit
Loading apropos...done
Type C-x 1 to remove help window.   [2 times]
Type C-x 4 C-o RET to restore the other window.   [2 times]

Loading emacsbug...done
 [2 times]
call-interactively: Command attempted to use minibuffer while in minibuffer
Quit
 [3 times]